Summary:	GNU's bc (a numeric processing language) and dc (a calculator)
Name:		bc
Version:	1.06.95
Release:	%mkrel 2
License:	GPLv2+ 
URL:		http://www.gnu.org/software/bc/bc.html
Group:		Sciences/Mathematics
Source:		ftp://ftp.gnu.org/gnu/bc/%{name}-%{version}.tar.xz
Patch1: 	bc-1.06-dc_ibase.patch
Patch2: 	bc-1.06.95-memleak.patch
BuildRequires:	flex 
BuildRequires:	ncurses-devel 
BuildRequires:	readline-devel
BuildRequires:	texinfo
BuildRequires:	bison
Requires(post):  info-install grep
Requires(preun):info-install grep
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: 	glibc >= 2.20
Obsoletes:	%name < %version

%description
The bc package includes bc and dc.  Bc is an arbitrary precision numeric
processing arithmetic language.  Dc is an interactive arbitrary precision
stack based calculator, which can be used as a text mode calculator.

Install the bc package if you need its number handling capabilities or
if you would like to use its text mode calculator.

%prep
%setup -q
%patch1 -p1 -b .dc_ibase
%patch2 -p1 -b .memleak

%build
%configure2_5x --with-readline
%make

%install
rm -rf %{buildroot}
%{makeinstall}

%clean
rm -rf %{buildroot}

%post
%_install_info bc.info
%_install_info dc.info

%preun
%_remove_install_info bc.info
%_remove_install_info dc.info

%files
%defattr(-,root,root)
%doc FAQ AUTHORS NEWS README
%{_bindir}/bc
%{_bindir}/dc
%{_mandir}/man1/bc.1*
%{_mandir}/man1/dc.1*
%{_infodir}/bc.info*
%{_infodir}/dc.info*


%changelog
* Wed Jan 28 2015 bb <bb> 1.06.95-2pclos2015
- rebuild new gcc
